/**
 * Represents resolution life-cycle type definition
 * @public
 */
export const scope = Object.freeze({
    /**
     * Transient life-cycle, one instance per resolution
     */
    none: 1,
    /**
     * Container life-cycle, one instance per resoluton per container instance
     */
    container: 2,
    /**
     * Hierarchy life-cycle, same instance per all resolutions
     */
    hierarchy: 3
});
